UserGuideMenuItems (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Class UserGuideMenuItems

    java.lang.Object
      com.bbn.openmap.gui.UserGuideMenuItems

All Implemented Interfaces:
  HelpMenuItems, MenuItems, java.awt.event.ActionListener, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class UserGuideMenuItems

extends java.lang.Object
implements HelpMenuItems, java.awt.event.ActionListener, java.beans.beancontext.BeanContextMembershipListener, java.beans.beancontext.BeanContextChild

This class provides MenuItems that get added under HelpMenu. This object needs an instance of InformationDelegator, which can be set programmatically. If this objects environment is capable of providing BeanContextServices, it will look for InformationDelegator as a service.

Field Summary
`protected java.beans.beancontext.BeanContextChildSupport` | `beanContextChildSupport` BeanContextChildSupport object provides helper functions for BeanContextChild interface.

Constructor Summary
`UserGuideMenuItems()`
`UserGuideMenuItems(InformationDelegator in_informationDelegator)` Initializes the object with given InformationDelegator.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Called when our menu item is clicked by user.
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener in_pcl)` Method for BeanContextChild interface.
`void` | `addVetoableChangeListener(java.lang.String propertyName, java.beans.VetoableChangeListener in_vcl)` Method for BeanContextChild interface.
`void` | `childrenAdded(java.beans.beancontext.BeanContextMembershipEvent bcme)` BeanContextMembershipListener method.
`void` | `childrenRemoved(java.beans.beancontext.BeanContextMembershipEvent bcme)` BeanContextMembershipListener method.
`void` | `findAndInit(java.util.Iterator it)` This is the method that your object can use to find other objects within the MapHandler (BeanContext).
`void` | `findAndInit(java.lang.Object obj)`
`void` | `findAndUndo(java.lang.Object obj)`
`void` | `fireVetoableChange(java.lang.String name, java.lang.Object oldValue, java.lang.Object newValue)` Report a vetoable property update to any registered listeners.
`java.beans.beancontext.BeanContext` | `getBeanContext()` Method for BeanContextChild interface.
`protected InformationDelegator` | `getInformationDelegator()` Return current value of InformationDelegator.
`protected java.util.Vector` | `getMenuItems()` Returns a vector of MenuItems that are part of this object.
`java.util.Iterator` | `iterator()` Returns an Iterator to the MenuItems it holds.
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener in_pcl)` Method for BeanContextChild interface.
`void` | `removeVetoableChangeListener(java.lang.String propertyName, java.beans.VetoableChangeListener in_vcl)` Method for BeanContextChild interface.
`void` | `setBeanContext(java.beans.beancontext.BeanContext in_bc)` Method for BeanContextChild interface.
`void` | `setInformationDelegator(InformationDelegator in_informationDelegator)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### beanContextChildSupport

    protected java.beans.beancontext.BeanContextChildSupport beanContextChildSupport

  BeanContextChildSupport object provides helper functions for BeanContextChild interface.

Constructor Detail

### UserGuideMenuItems

    public UserGuideMenuItems()

### UserGuideMenuItems

    public UserGuideMenuItems(InformationDelegator in_informationDelegator)

  Initializes the object with given InformationDelegator.

  Parameters:
    `in_informationDelegator` -

Method Detail

### setInformationDelegator

    public void setInformationDelegator(InformationDelegator in_informationDelegator)

  Parameters:
    `in_informationDelegator` -

### getInformationDelegator

    protected InformationDelegator getInformationDelegator()

  Return current value of InformationDelegator.

### getMenuItems

    protected java.util.Vector getMenuItems()

  Returns a vector of MenuItems that are part of this object.

### iterator

    public java.util.Iterator iterator()

  Returns an Iterator to the MenuItems it holds.

  Specified by:
    `iterator` in interface `MenuItems`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Called when our menu item is clicked by user.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### findAndInit

    public void findAndInit(java.lang.Object obj)

### findAndUndo

    public void findAndUndo(java.lang.Object obj)

### findAndInit

    public void findAndInit(java.util.Iterator it)

  This is the method that your object can use to find other objects within the MapHandler (BeanContext). This method gets called when the object gets added to the MapHandler, or when another object gets added to the MapHandler after the object is a member.

  Parameters:
    `it` - Iterator to use to go through a list of objects. Find the ones you need, and hook yourself up.

### childrenAdded

    public void childrenAdded(java.beans.beancontext.BeanContextMembershipEvent bcme)

  BeanContextMembershipListener method. Called when a new object is added to the BeanContext of this object.

  Specified by:
    `childrenAdded` in interface `java.beans.beancontext.BeanContextMembershipListener`

### childrenRemoved

    public void childrenRemoved(java.beans.beancontext.BeanContextMembershipEvent bcme)

  BeanContextMembershipListener method. Called when a new object is removed from the BeanContext of this object. For the Layer, this method doesn't do anything. If your layer does something with the childrenAdded method, or findAndInit, you should take steps in this method to unhook the layer from the object used in those methods.

  Specified by:
    `childrenRemoved` in interface `java.beans.beancontext.BeanContextMembershipListener`

### getBeanContext

    public java.beans.beancontext.BeanContext getBeanContext()

  Method for BeanContextChild interface.

  Specified by:
    `getBeanContext` in interface `java.beans.beancontext.BeanContextChild`

### setBeanContext

    public void setBeanContext(java.beans.beancontext.BeanContext in_bc)
                        throws java.beans.PropertyVetoException

  Method for BeanContextChild interface. Adds this object as a BeanContextMembership listener, set the BeanContext in this objects BeanContextSupport, and receives the initial list of objects currently contained in the BeanContext.

  Specified by:
    `setBeanContext` in interface `java.beans.beancontext.BeanContextChild`
  Throws:
    `java.beans.PropertyVetoException`

### addVetoableChangeListener

    public void addVetoableChangeListener(java.lang.String propertyName,
                                          java.beans.VetoableChangeListener in_vcl)

  Method for BeanContextChild interface. Uses the BeanContextChildSupport to add a listener to this object's property. This listener wants to have the right to veto a property change.

  Specified by:
    `addVetoableChangeListener` in interface `java.beans.beancontext.BeanContextChild`

### removeVetoableChangeListener

    public void removeVetoableChangeListener(java.lang.String propertyName,
                                             java.beans.VetoableChangeListener in_vcl)

  Method for BeanContextChild interface. Uses the BeanContextChildSupport to remove a listener to this object's property. The listener has the power to veto property changes.

  Specified by:
    `removeVetoableChangeListener` in interface `java.beans.beancontext.BeanContextChild`

### fireVetoableChange

    public void fireVetoableChange(java.lang.String name,
                                   java.lang.Object oldValue,
                                   java.lang.Object newValue)
                            throws java.beans.PropertyVetoException

  Report a vetoable property update to any registered listeners. If anyone vetos the change, then fire a new event reverting everyone to the old value and then rethrow the PropertyVetoException.

  No event is fired if old and new are equal and non-null.

  Parameters:
    `name` - The programmatic name of the property that is about to change
    `oldValue` - The old value of the property
    `newValue` - - The new value of the property
  Throws:
    `java.beans.PropertyVetoException` - if the recipient wishes the property change to be rolled back.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener in_pcl)

  Method for BeanContextChild interface.

  Specified by:
    `addPropertyChangeListener` in interface `java.beans.beancontext.BeanContextChild`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener in_pcl)

  Method for BeanContextChild interface.

  Specified by:
    `removePropertyChangeListener` in interface `java.beans.beancontext.BeanContextChild`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details